**Purpose**: This is a scaffold document outlining the high level of changing an IP address of a server in either Debian or RHEL based operating systems.

=== "Ubuntu / Debian"

    ``` sh
    # Edit Netplan File
    nano /etc/netplan/<name-of-netplan-file>
    # <edit existing networking> --> <save file>

    # Apply Netplan Changes
    netplan apply
    ```
        
=== "Rocky / Fedora / RHEL"

    ``` sh
    # Modify the Existing Connection via nmcli
    nmcli connection modify ens18-connection \
    ipv4.addresses 192.168.3.13/24 \
    ipv4.gateway 192.168.3.1 \
    ipv4.dns "192.168.3.25,192.168.3.26" \
    ipv4.method manual

    # Bring the Connection Online
    sudo nmcli connection down ens18-connection
    sudo nmcli connection up ens18-connection
    ```

